---
title: Notification.dir
slug: Web/API/Notification/dir
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - dir
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <code>dir</code> read-only property of the {{domxref("Notification")}} interface indicates the text direction of the notification, as specified in the <code>dir</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval notranslate">var <var>direction</var> = <var>Notification</var>.dir;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the text direction. Possible values are:</p>

<ul>
 <li><code>auto</code>: adopts the browser's language setting behaviour (the default.)</li>
 <li><code>ltr</code>: left to right.</li>
 <li><code>rtl</code> : right to left.</li>
</ul>

<div class="note">
<p><strong>Note</strong>: Most browsers seem to ignore explicit ltr and rtl settings, and just go with the browser-wide setting.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>The following snippet fires a notification; a simple <code>options</code> object is created, then the notification is fired using the <code>Notification()</code> constructor.</p>

<pre class="brush: js notranslate">var options = {
  body: 'Do you like my body?',
  dir: 'rtl'
}

var n = new Notification('Test notification',options);

console.log(n.dir) // should return 'rtl'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-dir','dir')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.dir")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
